## org.gnu.gdk
Class GCValuesMask

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.GCValuesMask

public class GCValuesMask
extends org.gnu.glib.Enum

Field Summary
`static GCValuesMask` `BACKGROUND`
`static GCValuesMask` `CAP_STYLE`
`static GCValuesMask` `CLIP_MASK`
`static GCValuesMask` `CLIP_X_ORIGIN`
`static GCValuesMask` `CLIP_Y_ORIGIN`
`static GCValuesMask` `EXPOSURES`
`static GCValuesMask` `FILL`
`static GCValuesMask` `FONT`
`static GCValuesMask` `FOREGROUND`
`static GCValuesMask` `FUNCTION`
`static GCValuesMask` `JOIN_STYLE`
`static GCValuesMask` `LINE_STYLE`
`static GCValuesMask` `LINE_WIDTH`
`static GCValuesMask` `STIPPLE`
`static GCValuesMask` `SUBWINDOW`
`static GCValuesMask` `TILE`
`static GCValuesMask` `TS_X_ORIGIN`
`static GCValuesMask` `TS_Y_ORIGIN`

Method Summary
`GCValuesMask` `and(GCValuesMask other)`
`static GCValuesMask` `intern(int value)`
`GCValuesMask` `or(GCValuesMask other)`
`boolean` `test(GCValuesMask other)`
`GCValuesMask` `xor(GCValuesMask other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FOREGROUND

    public static final GCValuesMask FOREGROUND

### BACKGROUND

    public static final GCValuesMask BACKGROUND

### FONT

    public static final GCValuesMask FONT

### FUNCTION

    public static final GCValuesMask FUNCTION

### FILL

    public static final GCValuesMask FILL

### TILE

    public static final GCValuesMask TILE

### STIPPLE

    public static final GCValuesMask STIPPLE

### CLIP_MASK

    public static final GCValuesMask CLIP_MASK

### SUBWINDOW

    public static final GCValuesMask SUBWINDOW

### TS_X_ORIGIN

    public static final GCValuesMask TS_X_ORIGIN

### TS_Y_ORIGIN

    public static final GCValuesMask TS_Y_ORIGIN

### CLIP_X_ORIGIN

    public static final GCValuesMask CLIP_X_ORIGIN

### CLIP_Y_ORIGIN

    public static final GCValuesMask CLIP_Y_ORIGIN

### EXPOSURES

    public static final GCValuesMask EXPOSURES

### LINE_WIDTH

    public static final GCValuesMask LINE_WIDTH

### LINE_STYLE

    public static final GCValuesMask LINE_STYLE

### CAP_STYLE

    public static final GCValuesMask CAP_STYLE

### JOIN_STYLE

    public static final GCValuesMask JOIN_STYLE

Method Detail

### intern

    public static GCValuesMask intern(int value)

### or

    public GCValuesMask or(GCValuesMask other)

### and

    public GCValuesMask and(GCValuesMask other)

### xor

    public GCValuesMask xor(GCValuesMask other)

### test

    public boolean test(GCValuesMask other)